Bug 90674 - Update Port: devel/cdk Version update
Summary: Update Port: devel/cdk Version update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-20 02:20 UTC by Remington
Modified: 2005-12-27 06:07 UTC (History)
0 users

See Also:


Attachments
file.diff (252 bytes, patch)
2005-12-20 02:20 UTC, Remington
no flags Details | Diff
file.diff (512 bytes, patch)
2005-12-20 02:20 UTC, Remington
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Remington 2005-12-20 02:20:02 UTC
              This is an update to devel/cdk. It is no longer being maintained by original author, thus MASTER_SITE has changed. While here also stole maintainership from ports@.

Fix: PORTNAME=      cdk
-PORTVERSION=   4.9.11.20041224
-PORTEPOCH=     1
+PORTVERSION=   5.0.20050424
 CATEGORIES=    devel
-MASTER_SITES=  ftp://dickey.his.com/cdk/
+MASTER_SITES=  ftp://invisible-island.net/cdk/ \
+               http://fresh.t-systems-sfr.com/linux/src/
 DISTNAME=      ${PORTNAME}-${PORTVERSION:R}-${PORTVERSION:E}
 EXTRACT_SUFX=  .tgz

-MAINTAINER=    ports@FreeBSD.org
+MAINTAINER=    MrL0Lz@gmail.com
 COMMENT=       Curses Development Kit for speedy development of full screen programs

 USE_GMAKE=     yes
@@ -42,17 +41,6 @@
 INSTALLS_SHLIB=        yes

 .include "${.CURDIR}/maninfo.mk"
-
-post-patch:
-.      for f in cli/Makefile.in demos/Makefile.in examples/Makefile.in
-               @${REINPLACE_CMD} -e 's|^\(LINKIT.*\)|& \&\& ${STRIP_CMD} $$@|' ${WRKSRC}/$f
-               @${RM} ${WRKSRC}/$f.bak
-.      endfor
-
-post-configure:
-       ${REINPLACE_CMD} -e 's|^DOCUMENT_DIR.*$$|DOCUMENT_DIR=${DOCSDIR}|' \
-               -e 's|^CDKSHLIB.*$$|CDKSHLIB=$$(SONAME)|' \
-               ${WRKSRC}/Makefile

 post-install:
        ${MKDIR} ${EXAMPLESDIR}/cli
Comment 1 Pav Lucistnik freebsd_committer 2005-12-20 23:46:38 UTC
State Changed
From-To: open->feedback

Does not patch: 

===>  Applying FreeBSD patches for cdk-5.0.20050424,1 
1 out of 1 hunks failed--saving rejects to Makefile.in.rej 
=> Patch patch-Makefile.in failed to apply cleanly. 
*** Error code 1 

Have you tested this at all? 


Comment 2 Pav Lucistnik freebsd_committer 2005-12-20 23:46:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 Pav Lucistnik freebsd_committer 2005-12-21 16:17:11 UTC
Remington p=ED=B9e v =FAt 20. 12. 2005 v 22:30 -0800:
> On Tue, 2005-12-20 at 23:46 +0000, Pav Lucistnik wrote:
> > Synopsis: Update Port: devel/cdk Version update
> >=20
> > State-Changed-From-To: open->feedback
> > State-Changed-By: pav
> > State-Changed-When: Tue Dec 20 23:46:38 UTC 2005
> > State-Changed-Why:=20
> > Does not patch:
> >=20
> > =3D=3D=3D>  Applying FreeBSD patches for cdk-5.0.20050424,1
> > 1 out of 1 hunks failed--saving rejects to Makefile.in.rej
> > =3D> Patch patch-Makefile.in failed to apply cleanly.
> > *** Error code 1
> >=20
> > Have you tested this at all?
> >=20
> >=20
> > Responsible-Changed-From-To: freebsd-ports-bugs->pav
> > Responsible-Changed-By: pav
> > Responsible-Changed-When: Tue Dec 20 23:46:38 UTC 2005
> > Responsible-Changed-Why:=20
> > Track
> >=20
> > http://www.freebsd.org/cgi/query-pr.cgi?pr=3D90674
>=20
> Simply remove files/ and files.old/(if it exists)

=3D=3D=3D>  Building package for cdk-5.0.20050424,1
tar: lib/libcdk.so.4: Could not stat: No such file or directory
tar: share/doc/cdk/COPYING: Could not stat: No such file or directory
tar: share/doc/cdk/EXPANDING: Could not stat: No such file or directory
tar: share/doc/cdk/INSTALL: Could not stat: No such file or directory
tar: share/doc/cdk/NOTES: Could not stat: No such file or directory
tar: share/doc/cdk/README: Could not stat: No such file or directory
tar: share/doc/cdk/TODO: Could not stat: No such file or directory
pkg_create: make_dist: tar command failed with code 256

Forgot to update pkg-plist?

--=20
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Knight: We shall say Ny! again to you if you do not appease us.
Arthur: All right. What do you want?
Knight: We want... a shruberry!
Comment 4 Remington 2005-12-22 10:30:59 UTC
On Wed, 2005-12-21 at 17:17 +0100, Pav Lucistnik wrote:
> Remington pí¹e v út 20. 12. 2005 v 22:30 -0800:
> > On Tue, 2005-12-20 at 23:46 +0000, Pav Lucistnik wrote:
> > > Synopsis: Update Port: devel/cdk Version update
> > > 
> > > State-Changed-From-To: open->feedback
> > > State-Changed-By: pav
> > > State-Changed-When: Tue Dec 20 23:46:38 UTC 2005
> > > State-Changed-Why: 
> > > Does not patch:
> > > 
> > > ===>  Applying FreeBSD patches for cdk-5.0.20050424,1
> > > 1 out of 1 hunks failed--saving rejects to Makefile.in.rej
> > > => Patch patch-Makefile.in failed to apply cleanly.
> > > *** Error code 1
> > > 
> > > Have you tested this at all?
> > > 
> > > 
> > > Responsible-Changed-From-To: freebsd-ports-bugs->pav
> > > Responsible-Changed-By: pav
> > > Responsible-Changed-When: Tue Dec 20 23:46:38 UTC 2005
> > > Responsible-Changed-Why: 
> > > Track
> > > 
> > > http://www.freebsd.org/cgi/query-pr.cgi?pr=90674
> > 
> > Simply remove files/ and files.old/(if it exists)
> 
> ===>  Building package for cdk-5.0.20050424,1
> tar: lib/libcdk.so.4: Could not stat: No such file or directory
> tar: share/doc/cdk/COPYING: Could not stat: No such file or directory
> tar: share/doc/cdk/EXPANDING: Could not stat: No such file or directory
> tar: share/doc/cdk/INSTALL: Could not stat: No such file or directory
> tar: share/doc/cdk/NOTES: Could not stat: No such file or directory
> tar: share/doc/cdk/README: Could not stat: No such file or directory
> tar: share/doc/cdk/TODO: Could not stat: No such file or directory
> pkg_create: make_dist: tar command failed with code 256
> 
> Forgot to update pkg-plist?
> 

Sorry, holiday season..., diff below. 

Also have to bring back files/ dir with one patch. During installation
the port installs libcdk.so.5.0, during installation, +CONTENT clips off
trailing .0. Shar file below

--- pkg-plist.orig      Thu Dec 22 02:29:37 2005
+++ pkg-plist   Thu Dec 22 02:29:49 2005
@@ -1,3 +1,9 @@
+doc/cdk/COPYING
+doc/cdk/EXPANDING
+doc/cdk/INSTALL
+doc/cdk/NOTES
+doc/cdk/README
+doc/cdk/TODO
 include/cdk/alphalist.h
 include/cdk/binding.h
 include/cdk/button.h
@@ -40,165 +46,161 @@
 include/cdk/viewer.h
 lib/libcdk.a
 lib/libcdk.so
-lib/libcdk.so.4
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/EXPANDING
-%%PORTDOCS%%%%DOCSDIR%%/INSTALL
-%%PORTDOCS%%%%DOCSDIR%%/NOTES
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/TODO
-%%EXAMPLESDIR%%/cli/Makefile
-%%EXAMPLESDIR%%/cli/Makefile.in
-%%EXAMPLESDIR%%/cli/cdkalphalist
-%%EXAMPLESDIR%%/cli/cdkalphalist.c
-%%EXAMPLESDIR%%/cli/cdkcalendar
-%%EXAMPLESDIR%%/cli/cdkcalendar.c
-%%EXAMPLESDIR%%/cli/cdkdialog
-%%EXAMPLESDIR%%/cli/cdkdialog.c
-%%EXAMPLESDIR%%/cli/cdkentry
-%%EXAMPLESDIR%%/cli/cdkentry.c
-%%EXAMPLESDIR%%/cli/cdkfselect
-%%EXAMPLESDIR%%/cli/cdkfselect.c
-%%EXAMPLESDIR%%/cli/cdkitemlist
-%%EXAMPLESDIR%%/cli/cdkitemlist.c
-%%EXAMPLESDIR%%/cli/cdklabel
-%%EXAMPLESDIR%%/cli/cdklabel.c
-%%EXAMPLESDIR%%/cli/cdkmatrix
-%%EXAMPLESDIR%%/cli/cdkmatrix.c
-%%EXAMPLESDIR%%/cli/cdkmentry
-%%EXAMPLESDIR%%/cli/cdkmentry.c
-%%EXAMPLESDIR%%/cli/cdkradio
-%%EXAMPLESDIR%%/cli/cdkradio.c
-%%EXAMPLESDIR%%/cli/cdkscale
-%%EXAMPLESDIR%%/cli/cdkscale.c
-%%EXAMPLESDIR%%/cli/cdkscroll
-%%EXAMPLESDIR%%/cli/cdkscroll.c
-%%EXAMPLESDIR%%/cli/cdkselection
-%%EXAMPLESDIR%%/cli/cdkselection.c
-%%EXAMPLESDIR%%/cli/cdkslider
-%%EXAMPLESDIR%%/cli/cdkslider.c
-%%EXAMPLESDIR%%/cli/cdktemplate
-%%EXAMPLESDIR%%/cli/cdktemplate.c
-%%EXAMPLESDIR%%/cli/cdkviewer
-%%EXAMPLESDIR%%/cli/cdkviewer.c
-%%EXAMPLESDIR%%/cli/samples/alphalist.sh
-%%EXAMPLESDIR%%/cli/samples/calendar.sh
-%%EXAMPLESDIR%%/cli/samples/dialog.sh
-%%EXAMPLESDIR%%/cli/samples/entry.sh
-%%EXAMPLESDIR%%/cli/samples/fselect.sh
-%%EXAMPLESDIR%%/cli/samples/itemlist.sh
-%%EXAMPLESDIR%%/cli/samples/label.sh
-%%EXAMPLESDIR%%/cli/samples/matrix.sh
-%%EXAMPLESDIR%%/cli/samples/mentry.sh
-%%EXAMPLESDIR%%/cli/samples/radio.sh
-%%EXAMPLESDIR%%/cli/samples/scale.sh
-%%EXAMPLESDIR%%/cli/samples/scroll.sh
-%%EXAMPLESDIR%%/cli/samples/selection.sh
-%%EXAMPLESDIR%%/cli/samples/slider.sh
-%%EXAMPLESDIR%%/cli/samples/template.sh
-%%EXAMPLESDIR%%/cli/samples/viewer.sh
-%%EXAMPLESDIR%%/cli/utils/adduser
-%%EXAMPLESDIR%%/cli/utils/netconfig
-%%EXAMPLESDIR%%/demos/Makefile
-%%EXAMPLESDIR%%/demos/Makefile.in
-%%EXAMPLESDIR%%/demos/appointment
-%%EXAMPLESDIR%%/demos/appointment.c
-%%EXAMPLESDIR%%/demos/appointment.o
-%%EXAMPLESDIR%%/demos/clock
-%%EXAMPLESDIR%%/demos/clock.c
-%%EXAMPLESDIR%%/demos/clock.o
-%%EXAMPLESDIR%%/demos/command
-%%EXAMPLESDIR%%/demos/command.c
-%%EXAMPLESDIR%%/demos/command.o
-%%EXAMPLESDIR%%/demos/fileview
-%%EXAMPLESDIR%%/demos/fileview.c
-%%EXAMPLESDIR%%/demos/fileview.o
-%%EXAMPLESDIR%%/demos/rolodex
-%%EXAMPLESDIR%%/demos/rolodex.c
-%%EXAMPLESDIR%%/demos/rolodex.h
-%%EXAMPLESDIR%%/demos/rolodex.o
-%%EXAMPLESDIR%%/demos/serial.c
-%%EXAMPLESDIR%%/demos/stopSign
-%%EXAMPLESDIR%%/demos/stopSign.c
-%%EXAMPLESDIR%%/demos/stopSign.o
-%%EXAMPLESDIR%%/demos/syb.c
-%%EXAMPLESDIR%%/demos/vinstall
-%%EXAMPLESDIR%%/demos/vinstall.c
-%%EXAMPLESDIR%%/demos/vinstall.o
-%%EXAMPLESDIR%%/examples/Makefile
-%%EXAMPLESDIR%%/examples/Makefile.in
-%%EXAMPLESDIR%%/examples/alphalist_ex
-%%EXAMPLESDIR%%/examples/alphalist_ex.c
-%%EXAMPLESDIR%%/examples/bind_ex
-%%EXAMPLESDIR%%/examples/bind_ex.c
-%%EXAMPLESDIR%%/examples/buttonbox_ex
-%%EXAMPLESDIR%%/examples/buttonbox_ex.c
-%%EXAMPLESDIR%%/examples/calendar_ex
-%%EXAMPLESDIR%%/examples/calendar_ex.c
-%%EXAMPLESDIR%%/examples/cdkscreen_ex
-%%EXAMPLESDIR%%/examples/cdkscreen_ex.c
-%%EXAMPLESDIR%%/examples/configure.in
-%%EXAMPLESDIR%%/examples/dialog_ex
-%%EXAMPLESDIR%%/examples/dialog_ex.c
-%%EXAMPLESDIR%%/examples/entry_ex
-%%EXAMPLESDIR%%/examples/entry_ex.c
-%%EXAMPLESDIR%%/examples/fscale_ex
-%%EXAMPLESDIR%%/examples/fscale_ex.c
-%%EXAMPLESDIR%%/examples/fselect_ex
-%%EXAMPLESDIR%%/examples/fselect_ex.c
-%%EXAMPLESDIR%%/examples/graph_ex
-%%EXAMPLESDIR%%/examples/graph_ex.c
-%%EXAMPLESDIR%%/examples/hello_ex
-%%EXAMPLESDIR%%/examples/hello_ex.c
-%%EXAMPLESDIR%%/examples/histogram_ex
-%%EXAMPLESDIR%%/examples/histogram_ex.c
-%%EXAMPLESDIR%%/examples/itemlist_ex
-%%EXAMPLESDIR%%/examples/itemlist_ex.c
-%%EXAMPLESDIR%%/examples/label_ex
-%%EXAMPLESDIR%%/examples/label_ex.c
-%%EXAMPLESDIR%%/examples/lowerCDKObject_ex
-%%EXAMPLESDIR%%/examples/lowerCDKObject_ex.c
-%%EXAMPLESDIR%%/examples/marquee_ex
-%%EXAMPLESDIR%%/examples/marquee_ex.c
-%%EXAMPLESDIR%%/examples/matrix_ex
-%%EXAMPLESDIR%%/examples/matrix_ex.c
-%%EXAMPLESDIR%%/examples/mentry_ex
-%%EXAMPLESDIR%%/examples/mentry_ex.c
-%%EXAMPLESDIR%%/examples/menu_ex
-%%EXAMPLESDIR%%/examples/menu_ex.c
-%%EXAMPLESDIR%%/examples/position_ex
-%%EXAMPLESDIR%%/examples/position_ex.c
-%%EXAMPLESDIR%%/examples/preprocess_ex
-%%EXAMPLESDIR%%/examples/preprocess_ex.c
-%%EXAMPLESDIR%%/examples/radio1_ex
-%%EXAMPLESDIR%%/examples/radio1_ex.c
-%%EXAMPLESDIR%%/examples/radio_ex
-%%EXAMPLESDIR%%/examples/radio_ex.c
-%%EXAMPLESDIR%%/examples/raiseCDKObject_ex
-%%EXAMPLESDIR%%/examples/raiseCDKObject_ex.c
-%%EXAMPLESDIR%%/examples/scale_ex
-%%EXAMPLESDIR%%/examples/scale_ex.c
-%%EXAMPLESDIR%%/examples/scroll_ex
-%%EXAMPLESDIR%%/examples/scroll_ex.c
-%%EXAMPLESDIR%%/examples/selection_ex
-%%EXAMPLESDIR%%/examples/selection_ex.c
-%%EXAMPLESDIR%%/examples/slider_ex
-%%EXAMPLESDIR%%/examples/slider_ex.c
-%%EXAMPLESDIR%%/examples/subwindow_ex
-%%EXAMPLESDIR%%/examples/subwindow_ex.c
-%%EXAMPLESDIR%%/examples/swindow_ex
-%%EXAMPLESDIR%%/examples/swindow_ex.c
-%%EXAMPLESDIR%%/examples/template_ex
-%%EXAMPLESDIR%%/examples/template_ex.c
-%%EXAMPLESDIR%%/examples/traverse_ex
-%%EXAMPLESDIR%%/examples/traverse_ex.c
-%%EXAMPLESDIR%%/examples/viewer_ex
-%%EXAMPLESDIR%%/examples/viewer_ex.c
-@dirrm %%EXAMPLESDIR%%/examples
-@dirrm %%EXAMPLESDIR%%/demos
-@dirrm %%EXAMPLESDIR%%/cli/utils
-@dirrm %%EXAMPLESDIR%%/cli/samples
-@dirrm %%EXAMPLESDIR%%/cli
-@dirrm %%EXAMPLESDIR%%
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
+lib/libcdk.so.5
+share/examples/cdk/cli/Makefile
+share/examples/cdk/cli/Makefile.in
+share/examples/cdk/cli/cdkalphalist
+share/examples/cdk/cli/cdkalphalist.c
+share/examples/cdk/cli/cdkcalendar
+share/examples/cdk/cli/cdkcalendar.c
+share/examples/cdk/cli/cdkdialog
+share/examples/cdk/cli/cdkdialog.c
+share/examples/cdk/cli/cdkentry
+share/examples/cdk/cli/cdkentry.c
+share/examples/cdk/cli/cdkfselect
+share/examples/cdk/cli/cdkfselect.c
+share/examples/cdk/cli/cdkitemlist
+share/examples/cdk/cli/cdkitemlist.c
+share/examples/cdk/cli/cdklabel
+share/examples/cdk/cli/cdklabel.c
+share/examples/cdk/cli/cdkmatrix
+share/examples/cdk/cli/cdkmatrix.c
+share/examples/cdk/cli/cdkmentry
+share/examples/cdk/cli/cdkmentry.c
+share/examples/cdk/cli/cdkradio
+share/examples/cdk/cli/cdkradio.c
+share/examples/cdk/cli/cdkscale
+share/examples/cdk/cli/cdkscale.c
+share/examples/cdk/cli/cdkscroll
+share/examples/cdk/cli/cdkscroll.c
+share/examples/cdk/cli/cdkselection
+share/examples/cdk/cli/cdkselection.c
+share/examples/cdk/cli/cdkslider
+share/examples/cdk/cli/cdkslider.c
+share/examples/cdk/cli/cdktemplate
+share/examples/cdk/cli/cdktemplate.c
+share/examples/cdk/cli/cdkviewer
+share/examples/cdk/cli/cdkviewer.c
+share/examples/cdk/cli/samples/alphalist.sh
+share/examples/cdk/cli/samples/calendar.sh
+share/examples/cdk/cli/samples/dialog.sh
+share/examples/cdk/cli/samples/entry.sh
+share/examples/cdk/cli/samples/fselect.sh
+share/examples/cdk/cli/samples/itemlist.sh
+share/examples/cdk/cli/samples/label.sh
+share/examples/cdk/cli/samples/matrix.sh
+share/examples/cdk/cli/samples/mentry.sh
+share/examples/cdk/cli/samples/radio.sh
+share/examples/cdk/cli/samples/scale.sh
+share/examples/cdk/cli/samples/scroll.sh
+share/examples/cdk/cli/samples/selection.sh
+share/examples/cdk/cli/samples/slider.sh
+share/examples/cdk/cli/samples/template.sh
+share/examples/cdk/cli/samples/viewer.sh
+share/examples/cdk/cli/utils/adduser
+share/examples/cdk/cli/utils/netconfig
+share/examples/cdk/demos/Makefile
+share/examples/cdk/demos/Makefile.in
+share/examples/cdk/demos/appointment
+share/examples/cdk/demos/appointment.c
+share/examples/cdk/demos/appointment.o
+share/examples/cdk/demos/clock
+share/examples/cdk/demos/clock.c
+share/examples/cdk/demos/clock.o
+share/examples/cdk/demos/command
+share/examples/cdk/demos/command.c
+share/examples/cdk/demos/command.o
+share/examples/cdk/demos/fileview
+share/examples/cdk/demos/fileview.c
+share/examples/cdk/demos/fileview.o
+share/examples/cdk/demos/rolodex
+share/examples/cdk/demos/rolodex.c
+share/examples/cdk/demos/rolodex.h
+share/examples/cdk/demos/rolodex.o
+share/examples/cdk/demos/serial.c
+share/examples/cdk/demos/stopSign
+share/examples/cdk/demos/stopSign.c
+share/examples/cdk/demos/stopSign.o
+share/examples/cdk/demos/syb.c
+share/examples/cdk/demos/vinstall
+share/examples/cdk/demos/vinstall.c
+share/examples/cdk/demos/vinstall.o
+share/examples/cdk/examples/Makefile
+share/examples/cdk/examples/Makefile.in
+share/examples/cdk/examples/alphalist_ex
+share/examples/cdk/examples/alphalist_ex.c
+share/examples/cdk/examples/bind_ex
+share/examples/cdk/examples/bind_ex.c
+share/examples/cdk/examples/buttonbox_ex
+share/examples/cdk/examples/buttonbox_ex.c
+share/examples/cdk/examples/calendar_ex
+share/examples/cdk/examples/calendar_ex.c
+share/examples/cdk/examples/cdkscreen_ex
+share/examples/cdk/examples/cdkscreen_ex.c
+share/examples/cdk/examples/configure.in
+share/examples/cdk/examples/dialog_ex
+share/examples/cdk/examples/dialog_ex.c
+share/examples/cdk/examples/entry_ex
+share/examples/cdk/examples/entry_ex.c
+share/examples/cdk/examples/fscale_ex
+share/examples/cdk/examples/fscale_ex.c
+share/examples/cdk/examples/fselect_ex
+share/examples/cdk/examples/fselect_ex.c
+share/examples/cdk/examples/graph_ex
+share/examples/cdk/examples/graph_ex.c
+share/examples/cdk/examples/hello_ex
+share/examples/cdk/examples/hello_ex.c
+share/examples/cdk/examples/histogram_ex
+share/examples/cdk/examples/histogram_ex.c
+share/examples/cdk/examples/itemlist_ex
+share/examples/cdk/examples/itemlist_ex.c
+share/examples/cdk/examples/label_ex
+share/examples/cdk/examples/label_ex.c
+share/examples/cdk/examples/lowerCDKObject_ex
+share/examples/cdk/examples/lowerCDKObject_ex.c
+share/examples/cdk/examples/marquee_ex
+share/examples/cdk/examples/marquee_ex.c
+share/examples/cdk/examples/matrix_ex
+share/examples/cdk/examples/matrix_ex.c
+share/examples/cdk/examples/mentry_ex
+share/examples/cdk/examples/mentry_ex.c
+share/examples/cdk/examples/menu_ex
+share/examples/cdk/examples/menu_ex.c
+share/examples/cdk/examples/position_ex
+share/examples/cdk/examples/position_ex.c
+share/examples/cdk/examples/preprocess_ex
+share/examples/cdk/examples/preprocess_ex.c
+share/examples/cdk/examples/radio1_ex
+share/examples/cdk/examples/radio1_ex.c
+share/examples/cdk/examples/radio_ex
+share/examples/cdk/examples/radio_ex.c
+share/examples/cdk/examples/raiseCDKObject_ex
+share/examples/cdk/examples/raiseCDKObject_ex.c
+share/examples/cdk/examples/scale_ex
+share/examples/cdk/examples/scale_ex.c
+share/examples/cdk/examples/scroll_ex
+share/examples/cdk/examples/scroll_ex.c
+share/examples/cdk/examples/selection_ex
+share/examples/cdk/examples/selection_ex.c
+share/examples/cdk/examples/slider_ex
+share/examples/cdk/examples/slider_ex.c
+share/examples/cdk/examples/subwindow_ex
+share/examples/cdk/examples/subwindow_ex.c
+share/examples/cdk/examples/swindow_ex
+share/examples/cdk/examples/swindow_ex.c
+share/examples/cdk/examples/template_ex
+share/examples/cdk/examples/template_ex.c
+share/examples/cdk/examples/traverse_ex
+share/examples/cdk/examples/traverse_ex.c
+share/examples/cdk/examples/viewer_ex
+share/examples/cdk/examples/viewer_ex.c
+share/examples/cdk/examples/viewer_ex2
+share/examples/cdk/examples/viewer_ex2.c
+@dirrm doc/cdk
 @dirrm include/cdk
+@dirrm share/examples/cdk/cli/samples
+@dirrm share/examples/cdk/cli/utils
+@dirrm share/examples/cdk/cli
+@dirrm share/examples/cdk/demos
+@dirrm share/examples/cdk/examples
+@dirrm share/examples/cdk

# This is a shell archive.  Save it in a file, remove anything before# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       files/patch-Makefile.in
#
echo x - files/patch-Makefile.in
sed 's/^X//' >files/patch-Makefile.in << 'END-of-files/patch-Makefile.in'
X--- Makefile.in.orig   Thu Dec 22 02:20:28 2005
X+++ Makefile.in        Thu Dec 22 02:20:42 2005
X@@ -43,7 +43,7 @@
X VERSION_MINOR = @VERSION_MINOR@
X VERSION               = $(VERSION_MAJOR).$(VERSION_MINOR)
X CDKLIB                = @LIB_PREFIX@@LIB_ROOTNAME@$(LIB_SUFFIX)
X-CDKSHLIB      = @LIB_PREFIX@@LIB_ROOTNAME@.so.$(VERSION)
X+CDKSHLIB      = @LIB_PREFIX@@LIB_ROOTNAME@.so.$(VERSION_MAJOR)
X SONAME                = @LIB_PREFIX@@LIB_ROOTNAME@.so.$(VERSION_MAJOR)
X
X prefix                = @prefix@
END-of-files/patch-Makefile.in
exit
Comment 5 Pav Lucistnik freebsd_committer 2005-12-22 12:35:24 UTC
> +doc/cdk/COPYING
> +doc/cdk/EXPANDING
> +doc/cdk/INSTALL
> +doc/cdk/NOTES
> +doc/cdk/README
> +doc/cdk/TODO

These have to go to share/doc/cdk. Can you patch Makefiles to do this?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

He had found a Nutri-Matic machine which had provided him with a plastic cup
filled with a liquid that was almost, but not quite, entirely unlike tea.
Comment 6 Pav Lucistnik freebsd_committer 2005-12-27 06:07:32 UTC
State Changed
From-To: feedback->closed

Committed with many modifications.